javax.resource.cci

## Interface ConnectionFactory

- All Superinterfaces:
    javax.naming.Referenceable, java.io.Serializable

      public interface ConnectionFactory
      extends java.io.Serializable, Referenceable

  `ConnectionFactory` provides an interface for getting connection to an EIS instance. An implementation of ConnectionFactory interface is provided by a resource adapter.

  Application code looks up a ConnectionFactory instance from JNDI namespace and uses it to get EIS connections.

  An implementation class for ConnectionFactory is required to implement `java.io.Serializable` and `javax.resource.Referenceable`interfaces to support JNDI registration.

  Version:
    0.8
  Author:
    Rahul Sharma
  See Also:
    `Connection`, `Referenceable`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Connection` | `getConnection()` Gets a connection to an EIS instance.
    `Connection` | `getConnection(ConnectionSpec properties)` Gets a connection to an EIS instance.
    `ResourceAdapterMetaData` | `getMetaData()` Gets metadata for the Resource Adapter.
    `RecordFactory` | `getRecordFactory()` Gets a RecordFactory instance.

    - ### Methods inherited from interface javax.resource.Referenceable

      `setReference`

    - ### Methods inherited from interface javax.naming.Referenceable

      `getReference`

- - ### Method Detail

    - #### getConnection

          Connection getConnection()
                            throws ResourceException

      Gets a connection to an EIS instance. This getConnection variant should be used when a component wants the container to manage EIS sign-on. This case is termed container-managed sign-on. The component does not pass any security information.
      Returns:
        Connection instance
      Throws:
        `ResourceException` - Failed to get a connection to the EIS instance. Examples of error cases are:
        - Invalid configuration of ManagedConnectionFactory-- example: invalid server name
        - Application server-internal error--example: connection pool related error
        - Communication error
        - EIS-specific error--example: EIS not active
        - Resource adapter-internal error
        - Security related error; example: invalid user
        - Failure to allocate system resources

    - #### getConnection

          Connection getConnection(ConnectionSpec properties)
                            throws ResourceException

      Gets a connection to an EIS instance. A component should use the getConnection variant with javax.resource.cci.ConnectionSpec parameter, if it needs to pass any resource adapter specific security information and connection parameters. In the component- managed sign-on case, an application component passes security information (example: username, password) through the ConnectionSpec instance.

      It is important to note that the properties passed through the getConnection method should be client-specific (example: username, password, language) and not related to the configuration of a target EIS instance (example: port number, server name). The ManagedConnectionFactory instance is configured with complete set of properties required for the creation of a connection to an EIS instance.

      Parameters:
        `properties` - Connection parameters and security information specified as ConnectionSpec instance
      Returns:
        Connection instance
      Throws:
        `ResourceException` - Failed to get a connection to the EIS instance. Examples of error cases are:
        - Invalid specification of input parameters
        - Invalid configuration of ManagedConnectionFactory-- example: invalid server name
        - Application server-internal error--example: connection pool related error
        - Communication error
        - EIS-specific error--example: EIS not active
        - Resource adapter-internal error
        - Security related error; example: invalid user
        - Failure to allocate system resources
      See Also:
        `ConnectionSpec`

    - #### getRecordFactory

          RecordFactory getRecordFactory()
                                  throws ResourceException

      Gets a RecordFactory instance. The RecordFactory is used for the creation of generic Record instances.
      Returns:
        RecordFactory RecordFactory instance
      Throws:
        `ResourceException` - Failed to create a RecordFactory
        `NotSupportedException` - Operation not supported

    - #### getMetaData

          ResourceAdapterMetaData getMetaData()
                                       throws ResourceException

      Gets metadata for the Resource Adapter. Note that the metadata information is about the ResourceAdapter and not the EIS instance. An invocation of this method does not require that an active connection to an EIS instance should have been established.
      Returns:
        ResourceAdapterMetaData instance
      Throws:
        `ResourceException` - Failed to get metadata information about the resource adapter

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)